﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public struct Spell {

  public string Name { get; set; }
  public int Damage { get; set; }
  public float AreaOfEffect { get; set; }

  // Spell IceBall = new Spell("Iceball");
  // Spell FireBall = new Spell("Fireball", 100);
  // Spell EarthShake = new Spell("Earth Shake", 10, 100.0);
  
  public Spell(string name) {
    this.Name = name;
    this.Damage = 10;
    this.AreaOfEffect = 1.0f;
  } 

  public Spell(string name, int damage) {
    this.Name = name;
    this.Damage = damage;
    this.AreaOfEffect = 1.0f;
  }

  public Spell(string name, int damage, float areaOfEffect) {
    this.Name = name;
    this.Damage = damage;
    this.AreaOfEffect = areaOfEffect;
  }

  public string GetSpellStats() {
    string spellStats = "";
    spellStats += "Name: " + this.Name + " ";
    spellStats += "Damage: " + this.Damage + " ";
    spellStats += "AreaOfEffect: " + this.AreaOfEffect + " ";
    return spellStats;
  }


}
