﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;


class GoKart {
  private int speed;

  public void IncreaseSpeed(int speed) {
    this.speed += speed;
    Debug.Log("The current speed is " + this.speed);
  }

  public void IncreaseSpeed(int speed, bool turboEnabled) {
    if (turboEnabled) {
      IncreaseSpeed(speed * 2);
    } else {
      IncreaseSpeed(speed);
    }
  }

}

public class GoKartScript : MonoBehaviour {

  void OnDisable() {
    GoKart goKart = new GoKart();
    goKart.IncreaseSpeed(10);
    goKart.IncreaseSpeed(5, true);
  }

	// Use this for initialization
	void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
		
	}
}
